class desktop {

	package { 'nodm':
		ensure => installed,
	}

	package { 'lxde':
		ensure => installed,
		require => Package['nodm'],
	}

	package { 'lightdm':
		ensure => absent,
		require => Package['lxde'],
	}

	$packages = [
		'iceweasel',
		'iceweasel-l10n-*',
	]
  
	package { $packages:
		ensure => installed,
	}

	group { 'guest':
		ensure => 'present'
	}

	user { 'guest':
		ensure => 'present',
		home => '/home/guest',
		# password: guest
		password => '$6$pheeghohphaikuka$lJodCaTfZG4IhXw9.htxDsMDAiQrhOsXyJR.nvCdWc2EHgmstkTrpn/8LWi83e9Ac.WFDfzmQ1phpDII/npl/0',
		managehome => true,
		gid => 'guest',
		shell => '/bin/bash',
		require => Group['guest'],
	}

	file { '/etc/default/nodm':
		source => 'puppet:///modules/desktop/etc/default/nodm',
		require => [
				Package['nodm'],
				User['guest'],
				],
	}

	$packages_i386 = [
		'libc6:i386',
		'libqt4-dbus:i386',
		'libqt4-network:i386',
		'libqt4-xml:i386',
		'libqtcore4:i386',
		'libqtgui4:i386',
		'libqtwebkit4:i386',
		'libstdc++6:i386',
		'libx11-6:i386',
		'libxext6:i386',
		'libxss1:i386',
		'libxv1:i386',
		'libssl1.0.0:i386',
		'libpulse0:i386',
		'libasound2-plugins:i386',
	]

	package { $packages_i386:
		ensure => installed,
		subscribe => Exec['add-architecture-i386'],
	}

	exec { 'download-skype':
		command => '/usr/bin/wget -qO/var/cache/.skype-install.deb.part http://www.skype.com/go/getskype-linux-deb && /bin/mv /var/cache/.skype-install.deb.part /var/cache/skype-install.deb',
		creates => '/var/cache/skype-install.deb',
		notify => Package['skype'],
	}

	package { 'skype':
		provider => dpkg,
		ensure => latest,
		source => '/var/cache/skype-install.deb',
	}

	file { '/etc/skel/Desktop':
		ensure => directory,
	}

	file { '/etc/skel/Desktop/skype.desktop':
		source => '/usr/share/applications/skype.desktop',
		require => [
			Package['skype'],
			File['/etc/skel/Desktop'],
		],
	}


}
